<div ngClass="utility-container">
    <div class="utility-search-component nav-left">
        <div class="input-group">
            <mat-icon ngClass="utility-icon" style="margin-top:5px" (click)="backToAdminDashboard()">chevron_left</mat-icon>
            <mat-icon ngClass="utility-icon" style="margin-top:5px">search</mat-icon>
            <input type="text" (keyup)="initiateSearch($event)" class="input-mock-material" id="search" placeholder="Cari">
        </div>
    </div>
    <div class="utility-misc-component nav-right">
        <mat-basic-chip matTooltip="Jumlah User" ngClass="utility-chip">{{ userList.length }}</mat-basic-chip>
        <i fa [size]="'1'" matTooltip="Urutkan Nama User" [name]="'sort-alpha-asc'" *ngIf="sortCode===0" [ngClass]="{'utility-icon':true}" (click)="initiateSort()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Nama User" [name]="'sort-alpha-asc'" *ngIf="sortCode===1" [ngClass]="{'utility-icon':true, 'active':sortCode > 0}" (click)="initiateSort()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Nama User" [name]="'sort-alpha-desc'" *ngIf="sortCode===2" [ngClass]="{'utility-icon':true, 'active':sortCode > 0}" (click)="initiateSort()"></i>
        <mat-icon matTooltip="Hapus User" ngClass="utility-icon delete-icon" *ngIf="deleteTarget" (click)="openDeleteDialog()">delete</mat-icon>
    </div>
</div>
<div ngClass="content-container">
    <p style="text-align: center; font-style: italic;" *ngIf="userList.length === 0">User tidak ditemukan</p>
    <app-user-card  *ngFor="let userItems of myUser"
                [user]="userItems" (click)="onCardClick(userItems)"
                [selectedId]="(selectedItem)?selectedItem.userId:undefined">

    </app-user-card>
</div>
<button mat-mini-fab ngClass="toggle-add-item" (click)="showAddUserForm()"><mat-icon>add</mat-icon></button>